Summary: e-smith server and gateway - netatalk module
%define name e-smith-netatalk
Name: %{name}
%define version 1.14.0
%define release 3
Version: %{version}
Release: %smerelease %{release}
Packager: %{_packager}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: e-smith-base >= 4.13.2-08
Requires: e-smith-lib >= 1.15.1-16
Requires: kmod-appletalk
Requires: kmod-appletalk-smp
Obsoletes: kernel-module-appletalk
Obsoletes: kernel-smp-module-appletalk
Requires: netatalk
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
AutoReqProv: no

%description
e-smith server and gateway software - netatalk module.
Add Appletalk server features, using the netatalk package.

%changelog
* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Sat Dec 02 2006 Shad L. Lords <slords@mail.com> 1.14.0-02
- Update requires to reflect new kernel module format

* Wed Mar 15 2006 Charlie Brady <charlie_brady@mitel.com> 1.14.0-01
- Roll stable stream version. [SME: 1016]

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.13.0-08
- Bump release number only

* Fri Oct 28 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-07]
- Don't fail in atalk-restart if atalk is disabled and stopped. [SF: 1339754]

* Mon Aug 22 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-06]
- Add missing "use esmith::util" in atalk-restart. [SF: 1264931]

* Tue Aug 16 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-05]
- Add Requires headers for kernel module RPMs, to ensure that module RPMs are
  added during install/upgrade.

* Tue Aug  2 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-04]
- Update to current db access APIs, in readiness for move of dbs to private
  directory. [SF: 1216546 (Shad)]

* Fri May 27 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-03]
- Replace /etc/atalk/netatalk.conf symlink with templated
  file.

* Tue Apr 12 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-02]
- Add new config params required for netatalk 2.x (thanks to
  Roger Buck for research).
- Use only a single HUP signal to tell afpd to reload its
  config.

* Thu Mar 31 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-01]
- Changing version to development stream number - 1.13.0

* Thu Mar 31 2005 Charlie Brady <charlieb@e-smith.com>
- [1.12.0-05]
- Optimise template expansion v event matrix. Don't call atalk-reload
  during network-{create,delete}. 

* Thu Jan 20 2005 Charlie Brady <charlieb@e-smith.com>
- [1.12.0-04]
- Use generic_template_expand action where possible, in place
  of specific actions. Update e-smith-lib dependency. [MN00064130]
- Add config -> netatalk.conf symlink for compatibility with later netatalk
  package. [MN00064917]

* Thu Jul 10 2003 Michael Soulier <msoulier@e-smith.com>
- [1.12.0-03]
- Backout of previous change. [msoulier 9331]

* Thu Jul 10 2003 Michael Soulier <msoulier@e-smith.com>
- [1.12.0-02]
- Adapted to handle a blades-post-install event. [msoulier 9331]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.12.0-01]
- Changing version to stable stream number - 1.12.0

* Tue Apr 29 2003 Tony Clayton <apc@e-smith.com>
- [1.11.0-08]
- Remove dead atalk-conf-startup action [tonyc 8537]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-07]
- Default atalk{MaxClients} to 20, allowing it to be tuned [gordonr 5235]

* Fri Feb 28 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-06]
- s/HostsAllowSpec/hosts_allow_spec/ [charlieb 5650]

* Fri Feb 28 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-05]
- Re-do hosts.allow template to use esmith::ConfigDB::HostsAllowSpec.
  Add dependency on up-to-date e-smith-lib. [charlieb 5650]

* Fri Feb 21 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-04]
- Remove redundant quotes around 'Name' [gordonr 7343]

* Fri Feb 21 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-03]
- Make use of $ExternalInterface{'Name'} in template [gordonr 7343]

* Fri Feb 21 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-02]
- Remove special case for "Primary" in AppleValumes.default now
  that it is a pre-defined i-bay [charlieb 5652]

* Wed Jan 29 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-01]
- Rolling development stream to 1.11.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-01]
- Rolling stable version number to 1.10.0

* Tue Oct  1 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.4-04]
- Fix another problem with the hosts.allow template [charlieb 3786]

* Mon Sep 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.4-03]
- Fix hosts.allow template problem introduced by last change [charlieb 3786]

* Tue Sep 10 2002 Mark Knox <markk@e-smith.com>
- [1.9.4-02]
- Remove deprecated split on pipe [markk 3786]

* Fri Aug 23 2002 Mark Knox <markk@e-smith.com>
- [1.9.4-01]
- Removed cleartext authentication [markk 4313]

* Wed Aug 21 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.3-01]
- Add rc7.d symlink and remove ORDER property in atalk-conf-startup
  [charlieb 4458]

* Wed Aug 14 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.2-01]
- Remove dangling template fragments and don't create directories
  which we do not need. [charlieb 4626]

* Wed Aug 14 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.1-01]
- Move configuration file templates back to /etc/atalk. Rename
  netatalk.conf to config. Remove obsolete /etc/atalk/netatalk
  and /usr/atalk/netatalk directories if found. [charlieb 4626]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-01]
- Changing version to development stream number to 1.9.0

* Mon Jun  3 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.8.1-01]
- Put back uams_pgp.so - hardware problem, not s/w [gordonr 3489]

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Changing version to maintained stream number to 1.8.0

* Thu May 30 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.11-01]
- Removed uams_pgp.so from UAMs list [gordonr 3489]

* Fri May 24 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.10-01]
- Don't allow lack of the symlink to allow %pre script to fail.
  [Charlieb 3489]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.9-01]
- RPM rebuild forced by cvsroot2rpm

* Thu May 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.8-01]
- Let's get the "is it a link" test right. Use shell version, not perl version!
  [charlieb 3489]

* Thu May 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.7-01]
- Remove /usr/etc/netatalk symlink if it happens to be there, before installing
  new version which contains a /usr/etc/netatalk directory [charlieb 3489]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.6-01]
- Netatalk won't follow a symlink to read its configuration. Regenerate
  the configuration files in /usr/etc/netatalk [gordonr 3489]

* Sat May 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.5-01]
- Create /etc/atalk/netatalk - empty directory missing from CVS [gordonr 3489]

* Thu May 16 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.4-01]
- The netatalk package owns /etc/atalk/config, we shouldn't try to
  own it as well. Delete the file and adjust to a symlink when  
  configuring netatalk [gordonr 3489]

* Thu May 16 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.3-01]
- The latest version of netatalk has decided that some things should
  be in /usr/etc/netatalk (was /etc/atalk/netatalk last time). Some, 
  but, not all. The /etc/init.d/atalk file doesn't pass options to 
  point the config to another directory. So, let's just symlink
  /usr/etc/netatalk -> /etc/atalk/netatalk until this stabilises
  [gordonr 3489]

* Thu May  2 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.2-01]
- And it helps not to then unlink /etc/atalk/config in the action
  script [gordonr 3207]

* Thu May  2 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.1-01]
- Sigh - they've gone back to /etc/atalk/config - add a link to
  make it happen. [gordonr 3207]
- Add /etc/atalk/netatalk directory for template output files [gordonr 3207]

* Fri Apr 12 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.0-01]
- Rolling development stream
- Call atalk-restart instead of atalk-reload in printer-{create,delete}
  Note: This will disrupt existing shares, but reload does *nothing*
  with papd for printers [gordonr #2879]

* Fri Apr  5 2002 Adrian Chung <adrianc@e-smith.com>
- [1.6.2-01]
- Migrating atalk templates away from SambaServerName.
- They now use atalk|ServerName, defaulting to $SystemName.

* Fri Apr 5 2002 Adrian Chung <mac@e-smith.com>
- [1.6.1-01]
- rollRPM: Rolled version number to 1.6.1-01. Includes patches up to 1.6.0-04.

* Tue Dec 11 2001 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-04]
- Fix path to netatalk templates (/etc/atalk/netatalk, not /etc/netatalk/atalk).

* Tue Dec 11 2001 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-03]
- Remove randnum authentication option, as that required cleartext passwords
  on the server, and interferes with PAM authentication if it is enabled.
- Remove the fragment which suggests -G for guest access - that doesn't work
  with this version.
- Remove all template-{begin,end} fragments as they are provided by e-smith-lib.

* Tue Dec 11 2001 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-02]
- Move all netatalk templates from .../etc/atalk into .../etc/atalk/netatalk
  and no longer use the OUTPUT_FILENAME feature to expand them into the
  correct directory. This will allow custom templates to work as advertised
  (but will break any existing custom templates).

* Tue Dec 11 2001 Jason Miller <jay@e-smith.com>
- [1.6.0-01]
- rollRPM: Rolled version number to 1.6.0-01. Includes patches up to 1.5.0-05.

* Tue Dec 11 2001 Adrian Chung <adrianc@e-smith.com>
- [1.5.0-05]
- Add AFPD uams list fragment so that AFPD actually loads uams
  on startup.
- Comment out 20Guest template, we don't want to support guest
  access anymore.

* Thu Nov 15 2001 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-03]
- Migrate all config files to /etc/atalk/netatalk/ directory,
  for compatibility with netatalk 1.5pre8 RPM.

* Fri Nov 02 2001 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-02]
- Move /etc/atalk/config to /etc/atalk/netatalk.conf
- Change conf-atalk to expand the correct template
- Remove template-{begin,end} fragments - not required.

* Wed Oct 3 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.5.0-02]
- Added atalk-reload - send _two_ SIGHUPs to all afpd processes
- Removed restrictions on i-bay modes availabele for netatalk. This
  also needs a change to e-smith-base to remove comments from the panel.
- Renamed conf-atalk,conf-atalk-startup,restart-atalk to atalk-*.
- Updated Copyright notices

* Wed Oct 3 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.5.0-01]
- Rolled version number to 1.5.0-01. Includes patches upto 1.4.0-03.

* Tue Aug 28 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.4.0-03]
- Removed links from deprecated post-restore event

* Fri Aug 17 2001 gordonr
- [1.4.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Rolled version number to 1.4.0-01. Includes patches upto 1.3.0-03.

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.3.0-03]
- Changed license to GPL

* Wed Jun 6 2001 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-02]
- Change Appletalk share name to be the ibay name, not description.

* Tue Jun 5 2001 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- Rolled version number to 1.3.0-01. Includes patches upto 1.2.0-05.

* Tue May 29 2001 Tony Clayton <tonyc@e-smith.com>
- fixed actions that had untied %conf when calling serviceControl (2 actions)

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Fri Feb  2 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-03]
- Fix references to obsolete /home/e-smith/printers database

* Fri Feb  2 2001 Jason Miller <jmiller@e-smith.com>
- [1.2.0-02]
- Changed shares to show up directly to the files
  subdirectory if they have asked for public access = none

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-7.

* Thu Jan 11 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-7]
- Made use of serviceControl()

* Tue Jan 9 2001 Charlie Brady <charlieb@e-smith.com)
- [1.1.0-6]
- Create new bootstrap-console-save event which doesn't restart servers
- Add links for post-restore event
- Remove restart-atalk link for post-install

* Thu Dec 21 2000 Charlie Brady <charlieb@e-smith.com)
- [1.1.0-5]
- Remove atalk conf and restart actions for a bunch of events that
  don't need them.

* Tue Dec 19 2000 Charlie Brady <charlieb@e-smith.com)
- [1.1.0-4]
- Set default value for atalk service if none exists.

* Mon Dec 18 2000 Charlie Brady <charlieb@e-smith.com)
- [1.1.0-3]
- Remove bogus %post action script, which created the now obsolete
  services database.

* Fri Dec 01 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-2]
- Split /etc/atalk templates
- Changed HomeDirectory to ~/home
- Changed ATALK_NAME to variable $SambaServerName from fixed 'e-smith'

* Thu Nov 30 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-1]
- Rolled version and new tarball - including patches up to 0.2-4

* Tue Oct 31 2000 Charlie Brady <charlieb@e-smith.com)
- Fix hosts.allow template probs. Service name is atalk,
  not netatalk.

* Tue Oct 31 2000 Charlie Brady <charlieb@e-smith.com)
- Add initialisation of service entries in configuration db.

* Tue Oct 31 2000 Charlie Brady <charlieb@e-smith.com)
- Merge services database back into configuration database.

* Thu Oct 26 2000 Peter Samuel <peters@e-smith.com>
- Rolled version to 0.2. Includes patches up to 0.1-8

* Wed Oct 04 2000 Brett Jensen <brett@e-smith.com>
- remove post-install checks from conf-atalk-startup file.
- only expand templates if service is enabled
- check is done in the conf-atalk script, not
  the templates.

* Tue Oct 03 2000 Charlie Brady <charlieb@e-smith.com)
- Update services database when enabling/disabling startup.
- Use genfilelist to maintain rpm filelist

* Tue Sep 27 2000 Paul Nesbit <pkn@e-smith.com>
- updated URL and support contact info

* Thu Aug 24 2000 Gordon Rowell <gordonr@e-smith.com>
- Rewrote conf-atalk-startup to use serviceControl()

* Wed Jul 12 2000 Joseph Morrison <jdm@e-smith.net>
- Add -1 argument to split command to handle null final values
  in configuration records

* Fri Jun 16 2000 Charlie Brady <charlieb@e-smith.net>
- Add /etc/hosts.allow template
- use createlinks script rewritten in perl
- Don't mark templates as config files.

* Mon Jun 12 2000 Charlie Brady <charlieb@e-smith.net>
- Make new restart-atalk script, and otherwise tidy up
  breakout from e-smith-base

* Thu Jun 1 2000 Charlie Brady <charlieb@e-smith.net>
- First created - broken out of e-smith-base 4.0.11.

%prep
%setup

%build
perl createlinks
mkdir -p root/etc/rc.d/rc7.d
ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S91atalk

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%pre
[ -L /etc/atalk/netatalk.conf ] && /bin/rm /etc/atalk/netatalk.conf
[ -f /etc/atalk/config ] && mv /etc/atalk/config /etc/atalk/netatalk.conf
/bin/true

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
